--- configure.in_orig	Sun Jan 19 22:03:06 2003
+++ configure.in	Sun Jan 19 22:03:27 2003
@@ -385,7 +385,7 @@
   AC_MSG_ERROR([Ant is required to build Java components
 If you have Ant already installed, see config.log for details on the failure.])
 fi
-if "$ANT" -version | sed q | egrep -v ' 1\.[[5-9]]| [[2-9]]\.' >/dev/null ; then
+if "$ANT" -version | sed q | egrep -v ' 1\.[[4-9]]| [[2-9]]\.' >/dev/null ; then
   AC_MSG_ERROR([Ant version >= 1.5 is required to build Java components])
 fi],
 [AC_MSG_RESULT(no)])
--- src/interfaces/jdbc/build.xml_orig	Sun Jan 19 22:23:46 2003
+++ src/interfaces/jdbc/build.xml	Sun Jan 19 22:30:30 2003
@@ -48,21 +48,21 @@
     <available property="junit" classname="junit.framework.Test" />
     <condition property="jdbc2tests">
       <and>
-        <isset property="jdbc2"/>
-        <isset property="junit"/>
+        <equals arg1="${jdbc2}" arg2="true" />
+        <equals arg1="${junit}" arg2="true" />
       </and>
     </condition>
     <condition property="jdbc2optionaltests">
       <and>
-        <isset property="jdbc2"/>
-        <isset property="datasource"/>
-        <isset property="junit"/>
+        <equals arg1="${jdbc2}" arg2="true" />
+        <equals arg1="${datasource}" arg2="true" />
+        <equals arg1="${junit}" arg2="true" />
       </and>
     </condition>
     <condition property="jdbc3tests">
       <and>
-        <isset property="jdbc3"/>
-        <isset property="junit"/>
+        <equals arg1="${jdbc3}" arg2="true" />
+        <equals arg1="${junit}" arg2="true" />
       </and>
     </condition>
   </target>
@@ -156,8 +156,8 @@
     <filter token="JDBCCONNECTCLASS" value="${connectclass}" />
     <filter token="DEF_PGPORT" value="${def_pgport}" />
 
-     <fail unless="major" message="'major' undefined. Please follow the directions in README."/>
-     <fail unless="minor" message="'minor' undefined. Please follow the directions in README."/>
+     <!-- fail unless="major" message="'major' undefined. Please follow the directions in README."/> -->
+     <!-- fail unless="minor" message="'minor' undefined. Please follow the directions in README."/> -->
  
     <!-- Put a check for the current version here -->
 
